WordPress.org

Support

Support » Plugins and Hacks » Post Teaser 3.8 incompatible with WP 2.2 (?)

Post Teaser 3.8 incompatible with WP 2.2 (?)

Viewing 10 replies - 1 through 10 (of 10 total)
  • I had problems getting it to work with WP 2.2 too. I didn’t get the Error 500, but my posts simply stopped displaying. In the end I had to disable the plugin altogether.

    Unfortunately the plugin author has stopped development and support.

    Would be great if anyone could step in to fix the problem.

    Thanks!

    I tried it with a fresh 2.2 install and the default theme and it worked OK until I tried to change some of the options. It gave me a “Cannot load” error. I found that I needed to put post-teaser.php in the plugins root folder, not in the post-teaser folder.

    I did not try it with any other themes. It is working with the default WP theme.

    I also am having problems since the upgrade from 2.1 to 2.2, with the theme breaking (i.e. the posts don’t appear).

    I’m working with a customized theme.

    Didn’t give up and went on digging, the code line causing the problem is the following:

    [439] $content = apply_filters(‘the_content’, $content);

    Context:

    if (($more || $multipage) && ($this->doing_reading_time ||
    $this->doing_counts)) {
    remove_filter(‘the_content’, array(&$this, ‘process’));
    $content = apply_filters(‘the_content’, $content);
    add_filter(‘the_content’, array(&$this, ‘process’));
    $content = str_replace(‘]]>’, ‘]]>’, $content);
    }

    Removing the line leads to the information created by the plugin be shown several times (1x for the first post, 2x for the second, 3x for the third etc.).

    If anyone can do anything to give me a clue I’d be enourmously grateful!

    towfigh,

    I believe the issue is with the new add_filter in WP 2.2

    I’ve post in the Requests and Feedback. Maybe someone will answer there.

    Towfigh,

    A quick hack is to comment out that entire if statement you mentioned. I also commented out the add_filter for autoopsfix at the end of the file since I believe the issues it fixed have all been taken care of.

    With that little modification I’ve had it working fine on WordPress 2.2 and 2.2.1 installs.

    The only thing I haven’t checked the functionality of is multipaged posts (which I’ve never used) but otherwise there aren’t any major issues. So, that may help as a quick fix until we figure out exactly what’s going on (I’m just catching up on changes in 2.2 as I still use the 2.0.x line).

    Regards,

    Jason

    Hi guys,

    I have found a workaround. However, if you have a blog that has a lot of post and you use the <!–more–> tag a lot; I would not suggest doing this.

    What I’ve done on my site is that I removed all the <!–more–> tags in all my post and Post Teaser worked as before. Just that now I can not change where it auto breaks the post.

    This is by no means a solution but just a workaround until a real solution comes around.

    Hi,

    I’ve taken over development of Post Teaser from Jon and the good news is that I’ve also manage to fix the compatibility issue with WordPress 2.2.x.

    Get the new release here: Post Teaser Fixed

    My Post Teaser works for the first and second post on a page, displays the full article for the third, works for the fourth, full article for the fifth, etc. On any page. The first two will display a teaser but then only every other one will. Does anyone have an idea how to fix this unique problem?

    Thanks

    Hi manix2008,

    I’ve just started to get report about Post Teaser skipping post. So far, it’s only affecting WP 2.3.2 users. Are you using that version of WP?

    If so, I’m looking into it.

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Post Teaser 3.8 incompatible with WP 2.2 (?)’ is closed to new replies.
Skip to toolbar